Fork me on GitHub"

# skbio.stats.power.confidence_bound

skbio.stats.power.confidence_bound(vec, alpha=0.05, df=None, axis=None)

  Calculates a confidence bound assuming a normal distribution

  State: Experimental as of 0.4.0.

  Parameters:

    - vec (array_like) – The array of values to use in the bound calculation.

    - alpha (float, optional) – The critical value, used for the confidence bound calculation.

    - df (float, optional) – The degrees of freedom associated with the distribution. If None is given, df is assumed to be the number of elements in specified axis.

    - axis (positive int, optional) – The axis over which to take the deviation. When axis is None, a single value will be calculated for the whole matrix.

  Returns:

    bound – The confidence bound around the mean. The confidence interval is [mean - bound, mean + bound].

  Return type:

    float